Package ghidra.trace.model

# Class TraceDomainObjectListener

java.lang.Object
ghidra.trace.util.TypedEventDispatcher
ghidra.trace.model.TraceDomainObjectListener

All Implemented Interfaces:
  `DomainObjectListener`, `EventListener`

public class TraceDomainObjectListener extends TypedEventDispatcher implements DomainObjectListener

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ghidra.trace.util.TypedEventDispatcher

  `TypedEventDispatcher.AffectedAndValuesOnlyHandler<T,U>, TypedEventDispatcher.AffectedObjectHandler<T>, TypedEventDispatcher.AffectedObjectOnlyHandler<T>, TypedEventDispatcher.EventRecordHandler<T,U>, TypedEventDispatcher.FullEventRecordHandler<T,U>, TypedEventDispatcher.IgnoreAllHandler, TypedEventDispatcher.IgnoreValuesHandler, TypedEventDispatcher.SpaceValuesHandler<U>, TypedEventDispatcher.ValuesOnlyHandler<U>`

- ## Field Summary

  ### Fields inherited from class ghidra.trace.util.TypedEventDispatcher

  `restoredHandler`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TraceDomainObjectListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `domainObjectChanged(DomainObjectChangedEvent ev)`
  Method called when a change is made to the domain object.

  ### Methods inherited from class ghidra.trace.util.TypedEventDispatcher

  `handleChangeRecord, handleTraceChangeRecord, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenFor, listenForUntyped, unhandled`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TraceDomainObjectListener

    public TraceDomainObjectListener()

- ## Method Details

  - ### domainObjectChanged

    public void domainObjectChanged(DomainObjectChangedEvent ev)
    Description copied from interface: `DomainObjectListener`
    Method called when a change is made to the domain object.
    Specified by:
      `domainObjectChanged` in interface `DomainObjectListener`
    Parameters:
      `ev` - event containing the change record and type of change that was made